import { Ref } from "actor";
import { Record } from "preserves";

export const _BoxState = Symbol.for('BoxState');
export const BoxState = Record.makeConstructor<{value: number}, Ref>()(
    _BoxState, ['value']);

export const _SetBox = Symbol.for('SetBox');
export const SetBox = Record.makeConstructor<{newValue: number}, Ref>()(
    _SetBox, ['newValue']);
